> For the complete documentation index, see [llms.txt](https://faq.finerymarkets.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://faq.finerymarkets.com/api-reference/rest-api/pricing-and-instruments/delinstrumentmarkups.md).

# delInstrumentMarkups

**POST api/delInstrumentMarkups**

To delete the default markups set `"instrument": null` or omit the `"instrument"` parameter.

{% tabs %}
{% tab title="Payload" %}

```json
{
    "counterpartyId": 5,
    "instrument": "BTC-USD",
    "flowDirection": "outgoing"
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
{
    "error": 0
}
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

| Field name     | Type          | Description                                                                                                        |
| -------------- | ------------- | ------------------------------------------------------------------------------------------------------------------ |
| counterpartyId | Efx::ClientID | Counteraprty id                                                                                                    |
| instrument     | string        | Instrument name                                                                                                    |
| flowDirection  | string        | *Optional*. Flow direction is required for master-master connection only. Possible values: "incoming", "outgoing". |
